#
#     This file is part of 'squashtm-rest-ext' plugin for Redmine.
#     Copyright (C) 2014 - 2019 Henix, henix.fr
#
#     See the NOTICE file distributed with this work for additional
#     information regarding copyright ownership.
#
#     This is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     this software is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this software.  If not, see <http://www.gnu.org/licenses/>.
#

class ExtendedRoleController < ApplicationController

before_action :find_role, :only => :show
accept_api_auth :index, :show

def index
respond_to do |format|
format.api {
  @roles = Role.givable.all
}
end
end

def show
    respond_to do |format|
      format.api
    end
  end

 def find_role
    @role = Role.find(params[:id])
  rescue ActiveRecord::RecordNotFound
    render_404
  end

end
